import { GlobalStateProps } from './index'

export default {
  SET_LOADING(state: GlobalStateProps, val: boolean) {
    state.showLoading = val
  },
  SET_FILTER_DRAWER(state: GlobalStateProps, val: boolean) {
    state.showFilterDrawer = val
  },
  SET_ACTIVITY_DRAWER(state: GlobalStateProps, val: boolean) {
    state.showActivityDrawer = val
  },
  SET_BUILDING_DRAWER(state: GlobalStateProps, val: boolean) {
    state.showBuildingDrawer = val
  },
}
